/****************************************************************************
*
*	  Header Filename:  Trace.cpp
*	  Module Name:      Trace
*	  Description:      Trace utility for debugging
*
*	  Author:           Chris Gordon-Smith
*
*     Copyright (C) 2008 Chris Gordon-Smith
*     Email: See http://www.simsoup.info/
*
*     This program is free software; you can redistribute it and/or modify it
*     under the terms of the GNU General Public License as published by the
*     Free Software Foundation; either version 2 of the License, or (at your
*     option) any later version.
*
*     This program is distributed in the hope that it will be useful, but
*     WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
*     or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
*     for more details.
*
*     You should have received a copy of the GNU General Public License along
*     with this program; if not, write to the Free Software Foundation, Inc.,
*     59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
*
*     See the file Licence.txt for a copy of the GNU General Public License.
*
*      Amendment History:- 
*
*              Version	  Date                        Update Description
*              =======    ===========                 ==================
*
*
*
*
****************************************************************************/

#include    "globldef.h"
#include    "Library_Headers.h"

//--------------  Logger  Subsystem  -----------------------------------------------------------------------------
#include  "Trace.h"
//----------------------------------------------------------------------------------------------------------------
 
string  Trace_::Enter_Text = "ENTER: ";
string  Trace_::Leave_Text = "LEAVE: ";
string  Trace_::Indent_String = "";
string  Trace_::Two_Blanks = "  ";
bool    Trace_::Trace_Flag = false;
